package com.goafanti.demand.service;

import java.util.List;

import com.goafanti.common.model.DemandOrder;
import com.goafanti.common.model.DemandOrderLog;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.demand.bo.DemandOrderListBo;
import com.goafanti.demand.bo.OrgDemandOrderListBo;
import com.goafanti.demand.bo.UserDemandOrderListBo;

public interface DemandOrderService {

	List<DemandOrder> selectDemandOrderByUidAndDemandId(String userId, String id);

	void saveDemandOrder(DemandOrder order, DemandOrderLog dol);

	DemandOrder selectByPrimaryKey(String id);

	Pagination<DemandOrderListBo> listOrderList(Integer status, Integer pNo, Integer pSize);

	int updateShutdownByUser(DemandOrder order);

	List<DemandOrder> selectDemandOrderByDemandId(String string);

	Pagination<UserDemandOrderListBo> listUserDemandOrder(String uid, String username, Integer status, Integer pNo, Integer pSize);

	Pagination<OrgDemandOrderListBo> listOrgDemandOrder(String uid, String unitName, Integer status, Integer pNo, Integer pSize);

	int updateDemandOrder(DemandOrder order, DemandOrderLog dol, String recordTimeFormattedDate);

}
